Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# fill_pixels
[STL-like Algorithms]

## Detailed Description

std::fill for image views

## Functions

template<typename View, typename Value>
GIL_FORCEINLINE void | fill_pixels (const View &img_view, const Value &val)
| std::fill for image views
template<typename Types, typename Value>
void | fill_pixels (const any_image_view< Types > &img_view, const Value &val)
| fill_pixels for any image view. The pixel to fill with must be compatible with the current view